OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.ViewportArray

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBViewportArray :: MonadIO m => m Bool
- gl_ARB_viewport_array :: Bool
- pattern GL_DEPTH_RANGE :: GLenum
- pattern GL_FIRST_VERTEX_CONVENTION :: GLenum
- pattern GL_LAST_VERTEX_CONVENTION :: GLenum
- pattern GL_LAYER_PROVOKING_VERTEX :: GLenum
- pattern GL_MAX_VIEWPORTS :: GLenum
- pattern GL_PROVOKING_VERTEX :: GLenum
- pattern GL_SCISSOR_BOX :: GLenum
- pattern GL_SCISSOR_TEST :: GLenum
- pattern GL_UNDEFINED_VERTEX :: GLenum
- pattern GL_VIEWPORT :: GLenum
- pattern GL_VIEWPORT_BOUNDS_RANGE :: GLenum
- pattern GL_VIEWPORT_INDEX_PROVOKING_VERTEX :: GLenum
- pattern GL_VIEWPORT_SUBPIXEL_BITS :: GLenum
- glDepthRangeArrayv :: MonadIO m => GLuint -> GLsizei -> Ptr GLdouble -> m ()
- glDepthRangeIndexed :: MonadIO m => GLuint -> GLdouble -> GLdouble -> m ()
- glGetDoublei_v :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glGetFloati_v :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glScissorArrayv :: MonadIO m => GLuint -> GLsizei -> Ptr GLint -> m ()
- glScissorIndexed :: MonadIO m => GLuint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glScissorIndexedv :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glViewportArrayv :: MonadIO m => GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glViewportIndexedf :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glViewportIndexedfv :: MonadIO m => GLuint -> Ptr GLfloat -> m ()

# Extension Support

glGetARBViewportArray :: MonadIO m => m Bool Source #

Is the ARB_viewport_array extension supported?

gl_ARB_viewport_array :: Bool Source #

Is the ARB_viewport_array extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBViewportArray` in those cases instead.

# Enums

pattern GL_DEPTH_RANGE :: GLenum Source #

pattern GL_FIRST_VERTEX_CONVENTION :: GLenum Source #

pattern GL_LAST_VERTEX_CONVENTION :: GLenum Source #

pattern GL_LAYER_PROVOKING_VERTEX :: GLenum Source #

pattern GL_MAX_VIEWPORTS :: GLenum Source #

pattern GL_PROVOKING_VERTEX :: GLenum Source #

pattern GL_SCISSOR_BOX :: GLenum Source #

pattern GL_SCISSOR_TEST :: GLenum Source #

pattern GL_UNDEFINED_VERTEX :: GLenum Source #

pattern GL_VIEWPORT :: GLenum Source #

pattern GL_VIEWPORT_BOUNDS_RANGE :: GLenum Source #

pattern GL_VIEWPORT_INDEX_PROVOKING_VERTEX :: GLenum Source #

pattern GL_VIEWPORT_SUBPIXEL_BITS :: GLenum Source #

# Functions

glDepthRangeArrayv Source #

Arguments

:: MonadIO m |
=> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLdouble | `v` pointing to `COMPSIZE(count)` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 4.x.

glDepthRangeIndexed Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `n`.
-> GLdouble | `f`.
-> m () |

Manual page for OpenGL 4.x.

glGetDoublei_v Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> Ptr GLdouble | `data` pointing to `COMPSIZE(target)` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 4.x.

glGetFloati_v Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> Ptr GLfloat | `data` pointing to `COMPSIZE(target)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glScissorArrayv Source #

Arguments

:: MonadIO m |
=> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLint | `v` pointing to `COMPSIZE(count)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glScissorIndexed Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `left`.
-> GLint | `bottom`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glScissorIndexedv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `4` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glViewportArrayv Source #

Arguments

:: MonadIO m |
=> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLfloat | `v` pointing to `COMPSIZE(count)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glViewportIndexedf Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `w`.
-> GLfloat | `h`.
-> m () |

Manual page for OpenGL 4.x.

glViewportIndexedfv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `4` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.